/* Adding variables */
@import url("../../css/variables.css");

.logos-slider__main-container {
    width: var(--width);
    padding: var(--padding);
    margin: 0 auto;
}

.logos-slider__inner-container {
    display: grid;
    grid-template-columns: 20% 80%;
    align-items: center;
    gap: calc(var(--s-spacing) / 2);
    width: var(--full);
    padding: var(--xl-spacing) 0;
}

.logos-slider__title-container {
    grid-column: 1;
}

.logos-slider__title-container h2 {
    font-size: var(--h4);
    font-weight: var(--light);
    line-height: var(--lh-1);
}

.logos-slider__logos-container {
    grid-column: 2;
}

.logos-slider__logos-container img {
    width: 160px;
    max-width: 160px;
    height: auto;
}

.swiper-wrapper {
    align-items: center;
}

/**********************************************/
/******************* Laptop *******************/
/**********************************************/
@media (max-width: 1366px) {
    .logos-slider__inner-container {
        display: grid;
        grid-template-columns: 16% 84%;
    }
}

/**********************************************/
/******************* Tablet *******************/
/**********************************************/
@media (max-width: 1024px) {
    .logos-slider__inner-container {
        display: block;
        text-align: center;
    }

    .logos-slider__title-container {
        padding-bottom: var(--m-spacing);
    }

    .logos-slider__title-container h2 {
        font-size: var(--h3);
    }

    .logos-slider__logos-container img {
        max-width: 150px;
    }
}

/**********************************************/
/******************* Mobile *******************/
/**********************************************/
@media (max-width: 767px) {
    .logos-slider__title-container h2 {
        font-size: var(--h2);
    }

    .logos-slider__logos-container img {
        width: 180px;
        max-width: 180px;
    }
}